libetonyek::IWORKDataElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKDataElement Class Reference

`#include <IWORKDataElement.h>`

Inheritance diagram for libetonyek::IWORKDataElement:

## Public Member Functions
| IWORKDataElement (IWORKXMLParserState &state, IWORKDataPtr_t &data, boost::optional< IWORKColor > &fillColor)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
void | endOfElement () override

## Private Attributes
IWORKDataPtr_t & | m_data
boost::optional< IWORKColor > & | m_fillColor
boost::optional< std::string > | m_displayName
RVNGInputStreamPtr_t | m_stream
boost::optional< std::string > | m_mimeType

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKDataElement()

libetonyek::IWORKDataElement::IWORKDataElement | ( | IWORKXMLParserState & | state,
|  | IWORKDataPtr_t & | data,
|  | boost::optional< IWORKColor > & | fillColor
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKDataElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKDataElement::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_data

IWORKDataPtr_t& libetonyek::IWORKDataElement::m_data
| private

Referenced by endOfElement().

## ◆ m_displayName

boost::optional<std::string> libetonyek::IWORKDataElement::m_displayName
| private

Referenced by attribute(), and endOfElement().

## ◆ m_fillColor

boost::optional<IWORKColor>& libetonyek::IWORKDataElement::m_fillColor
| private

Referenced by attribute().

## ◆ m_mimeType

boost::optional<std::string> libetonyek::IWORKDataElement::m_mimeType
| private

Referenced by attribute(), and endOfElement().

## ◆ m_stream

RVNGInputStreamPtr_t libetonyek::IWORKDataElement::m_stream
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKDataElement.h
- IWORKDataElement.cpp